# @HEADER
# *****************************************************************************
#            TriBITS: Tribal Build, Integrate, and Test System
#
# Copyright 2013-2016 NTESS and the TriBITS contributors.
# SPDX-License-Identifier: BSD-3-Clause
# *****************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/SEACASExoIIv2for32 clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "SEACASExoIIv2for32 requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.23.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/SEACASExoIIv2for32 build
## ---------------------------------------------------------------------------

set(SEACASExoIIv2for32_CXX_COMPILER "/usr/bin/mpicxx")

set(SEACASExoIIv2for32_C_COMPILER "/usr/bin/mpicc")

set(SEACASExoIIv2for32_Fortran_COMPILER "/usr/bin/mpif90")
# Deprecated!
set(SEACASExoIIv2for32_FORTRAN_COMPILER "/usr/bin/mpif90") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/SEACASExoIIv2for32 build
## ---------------------------------------------------------------------------

## Give the build type
set(SEACASExoIIv2for32_CMAKE_BUILD_TYPE "RELEASE")

## Set compiler flags, including those determined by build type
set(SEACASExoIIv2for32_CXX_FLAGS [[ -O3 -DNDEBUG]])

set(SEACASExoIIv2for32_C_FLAGS [[  -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=3 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection         -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -g -ffile-prefix-map=/build/trilinos/src=/usr/src/debug/trilinos -flto=auto -Wno-incompatible-pointer-types -O3 -DNDEBUG]])

set(SEACASExoIIv2for32_Fortran_FLAGS [[ -O3]])
# Deprecated
set(SEACASExoIIv2for32_FORTRAN_FLAGS [[ -O3]])

## Extra link flags (e.g., specification of fortran libraries)
set(SEACASExoIIv2for32_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(SEACASExoIIv2for32_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/usr/lib")
set(SEACASExoIIv2for32_BUILD_SHARED_LIBS "ON")

set(SEACASExoIIv2for32_LINKER /usr/bin/ld)
set(SEACASExoIIv2for32_AR /usr/bin/ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(SEACASExoIIv2for32_INSTALL_DIR "/usr")

## List of package libraries
set(SEACASExoIIv2for32_LIBRARIES SEACASExoIIv2for32::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(SEACASExoIIv2for32_MPI_LIBRARIES "")
set(SEACASExoIIv2for32_MPI_LIBRARY_DIRS "")
set(SEACASExoIIv2for32_MPI_INCLUDE_DIRS "")
set(SEACASExoIIv2for32_MPI_EXEC "/usr/bin/mpiexec")
set(SEACASExoIIv2for32_MPI_EXEC_MAX_NUMPROCS "4")
set(SEACASExoIIv2for32_MPI_EXEC_NUMPROCS_FLAG "-np")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies
set(SEACASExoIIv2for32_ENABLE_SEACASExodus ON)
set(SEACASExoIIv2for32_ENABLE_Netcdf ON)

# Exported cache variables
set(SEACAS_ENABLE_DEBUG "OFF")
set(HAVE_SEACAS_DEBUG "OFF")
set(SEACASExodus_ENABLE_THREADSAFE "OFF")
set(EXODUS_THREADSAFE "OFF")
set(SEACASExodus_ENABLE_STATIC "OFF")
set(EXODUS_STATIC "OFF")
set(SEACASExodus_ENABLE_SHARED "OFF")
set(EXODUS_SHARED "OFF")
set(SEACASIoss_ENABLE_THREADSAFE "OFF")
set(IOSS_THREADSAFE "OFF")

# Include configuration of dependent packages
if (NOT TARGET SEACASExodus::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../SEACASExodus/SEACASExodusConfig.cmake")
endif()
if (NOT TARGET Netcdf::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../../external_packages/Netcdf/NetcdfConfig.cmake")
endif()

# Import SEACASExoIIv2for32 targets
include("${CMAKE_CURRENT_LIST_DIR}/SEACASExoIIv2for32Targets.cmake")

# Standard TriBITS-compliant external package variables
set(SEACASExoIIv2for32_IS_TRIBITS_COMPLIANT TRUE)
set(SEACASExoIIv2for32_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(SEACASExoIIv2for32_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(SEACASExoIIv2for32_EXPORTED_PACKAGE_LIBS_NAMES "exoIIv2for32")

foreach(libname IN LISTS SEACASExoIIv2for32_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE SEACASExoIIv2for32::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'SEACASExoIIv2for32::${libname}', or better yet,"
      " 'SEACASExoIIv2for32::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'SEACASExoIIv2for32'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'SEACASExoIIv2for32_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
