# @HEADER
# *****************************************************************************
#            TriBITS: Tribal Build, Integrate, and Test System
#
# Copyright 2013-2016 NTESS and the TriBITS contributors.
# SPDX-License-Identifier: BSD-3-Clause
# *****************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/ShyLU_DDFROSch clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "ShyLU_DDFROSch requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.23.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/ShyLU_DDFROSch build
## ---------------------------------------------------------------------------

set(ShyLU_DDFROSch_CXX_COMPILER "/usr/bin/mpicxx")

set(ShyLU_DDFROSch_C_COMPILER "/usr/bin/mpicc")

set(ShyLU_DDFROSch_Fortran_COMPILER "/usr/bin/mpif90")
# Deprecated!
set(ShyLU_DDFROSch_FORTRAN_COMPILER "/usr/bin/mpif90") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/ShyLU_DDFROSch build
## ---------------------------------------------------------------------------

## Give the build type
set(ShyLU_DDFROSch_CMAKE_BUILD_TYPE "RELEASE")

## Set compiler flags, including those determined by build type
set(ShyLU_DDFROSch_CXX_FLAGS [[ -O3 -DNDEBUG]])

set(ShyLU_DDFROSch_C_FLAGS [[  -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=3 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection         -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -g -ffile-prefix-map=/build/trilinos/src=/usr/src/debug/trilinos -flto=auto -Wno-incompatible-pointer-types -O3 -DNDEBUG]])

set(ShyLU_DDFROSch_Fortran_FLAGS [[ -O3]])
# Deprecated
set(ShyLU_DDFROSch_FORTRAN_FLAGS [[ -O3]])

## Extra link flags (e.g., specification of fortran libraries)
set(ShyLU_DDFROSch_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(ShyLU_DDFROSch_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/usr/lib")
set(ShyLU_DDFROSch_BUILD_SHARED_LIBS "ON")

set(ShyLU_DDFROSch_LINKER /usr/bin/ld)
set(ShyLU_DDFROSch_AR /usr/bin/ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(ShyLU_DDFROSch_INSTALL_DIR "/usr")

## List of package libraries
set(ShyLU_DDFROSch_LIBRARIES ShyLU_DDFROSch::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(ShyLU_DDFROSch_MPI_LIBRARIES "")
set(ShyLU_DDFROSch_MPI_LIBRARY_DIRS "")
set(ShyLU_DDFROSch_MPI_INCLUDE_DIRS "")
set(ShyLU_DDFROSch_MPI_EXEC "/usr/bin/mpiexec")
set(ShyLU_DDFROSch_MPI_EXEC_MAX_NUMPROCS "4")
set(ShyLU_DDFROSch_MPI_EXEC_NUMPROCS_FLAG "-np")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies
set(ShyLU_DDFROSch_ENABLE_Amesos2 ON)
set(ShyLU_DDFROSch_ENABLE_Teuchos ON)
set(ShyLU_DDFROSch_ENABLE_Tpetra ON)
set(ShyLU_DDFROSch_ENABLE_Xpetra ON)
set(ShyLU_DDFROSch_ENABLE_MPI ON)
set(ShyLU_DDFROSch_ENABLE_Amesos ON)
set(ShyLU_DDFROSch_ENABLE_Belos ON)
set(ShyLU_DDFROSch_ENABLE_Epetra ON)
set(ShyLU_DDFROSch_ENABLE_EpetraExt ON)
set(ShyLU_DDFROSch_ENABLE_Ifpack2 ON)
set(ShyLU_DDFROSch_ENABLE_MueLu ON)
set(ShyLU_DDFROSch_ENABLE_Stratimikos ON)
set(ShyLU_DDFROSch_ENABLE_Thyra ON)
set(ShyLU_DDFROSch_ENABLE_Zoltan2 ON)

# Exported cache variables

# Include configuration of dependent packages
if (NOT TARGET Amesos2::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Amesos2/Amesos2Config.cmake")
endif()
if (NOT TARGET Teuchos::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Teuchos/TeuchosConfig.cmake")
endif()
if (NOT TARGET Tpetra::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Tpetra/TpetraConfig.cmake")
endif()
if (NOT TARGET Xpetra::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Xpetra/XpetraConfig.cmake")
endif()
if (NOT TARGET MPI::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../../external_packages/MPI/MPIConfig.cmake")
endif()
if (NOT TARGET Amesos::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Amesos/AmesosConfig.cmake")
endif()
if (NOT TARGET Belos::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Belos/BelosConfig.cmake")
endif()
if (NOT TARGET Epetra::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Epetra/EpetraConfig.cmake")
endif()
if (NOT TARGET EpetraExt::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../EpetraExt/EpetraExtConfig.cmake")
endif()
if (NOT TARGET Ifpack2::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Ifpack2/Ifpack2Config.cmake")
endif()
if (NOT TARGET MueLu::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../MueLu/MueLuConfig.cmake")
endif()
if (NOT TARGET Stratimikos::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Stratimikos/StratimikosConfig.cmake")
endif()
if (NOT TARGET Thyra::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Thyra/ThyraConfig.cmake")
endif()
if (NOT TARGET Zoltan2::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Zoltan2/Zoltan2Config.cmake")
endif()

# Import ShyLU_DDFROSch targets
include("${CMAKE_CURRENT_LIST_DIR}/ShyLU_DDFROSchTargets.cmake")

# Standard TriBITS-compliant external package variables
set(ShyLU_DDFROSch_IS_TRIBITS_COMPLIANT TRUE)
set(ShyLU_DDFROSch_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(ShyLU_DDFROSch_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(ShyLU_DDFROSch_EXPORTED_PACKAGE_LIBS_NAMES "shylu_ddfrosch")

foreach(libname IN LISTS ShyLU_DDFROSch_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE ShyLU_DDFROSch::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'ShyLU_DDFROSch::${libname}', or better yet,"
      " 'ShyLU_DDFROSch::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'ShyLU_DDFROSch'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'ShyLU_DDFROSch_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
