# @HEADER
# *****************************************************************************
#            TriBITS: Tribal Build, Integrate, and Test System
#
# Copyright 2013-2016 NTESS and the TriBITS contributors.
# SPDX-License-Identifier: BSD-3-Clause
# *****************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/ShyLU_NodeHTS clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "ShyLU_NodeHTS requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.23.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/ShyLU_NodeHTS build
## ---------------------------------------------------------------------------

set(ShyLU_NodeHTS_CXX_COMPILER "/usr/bin/mpicxx")

set(ShyLU_NodeHTS_C_COMPILER "/usr/bin/mpicc")

set(ShyLU_NodeHTS_Fortran_COMPILER "/usr/bin/mpif90")
# Deprecated!
set(ShyLU_NodeHTS_FORTRAN_COMPILER "/usr/bin/mpif90") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/ShyLU_NodeHTS build
## ---------------------------------------------------------------------------

## Give the build type
set(ShyLU_NodeHTS_CMAKE_BUILD_TYPE "RELEASE")

## Set compiler flags, including those determined by build type
set(ShyLU_NodeHTS_CXX_FLAGS [[ -O3 -DNDEBUG]])

set(ShyLU_NodeHTS_C_FLAGS [[  -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=3 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection         -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -g -ffile-prefix-map=/build/trilinos/src=/usr/src/debug/trilinos -flto=auto -Wno-incompatible-pointer-types -O3 -DNDEBUG]])

set(ShyLU_NodeHTS_Fortran_FLAGS [[ -O3]])
# Deprecated
set(ShyLU_NodeHTS_FORTRAN_FLAGS [[ -O3]])

## Extra link flags (e.g., specification of fortran libraries)
set(ShyLU_NodeHTS_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(ShyLU_NodeHTS_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/usr/lib")
set(ShyLU_NodeHTS_BUILD_SHARED_LIBS "ON")

set(ShyLU_NodeHTS_LINKER /usr/bin/ld)
set(ShyLU_NodeHTS_AR /usr/bin/ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(ShyLU_NodeHTS_INSTALL_DIR "/usr")

## List of package libraries
set(ShyLU_NodeHTS_LIBRARIES ShyLU_NodeHTS::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(ShyLU_NodeHTS_MPI_LIBRARIES "")
set(ShyLU_NodeHTS_MPI_LIBRARY_DIRS "")
set(ShyLU_NodeHTS_MPI_INCLUDE_DIRS "")
set(ShyLU_NodeHTS_MPI_EXEC "/usr/bin/mpiexec")
set(ShyLU_NodeHTS_MPI_EXEC_MAX_NUMPROCS "4")
set(ShyLU_NodeHTS_MPI_EXEC_NUMPROCS_FLAG "-np")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies
set(ShyLU_NodeHTS_ENABLE_KokkosKernels ON)
set(ShyLU_NodeHTS_ENABLE_MKL OFF)
set(ShyLU_NodeHTS_ENABLE_BLAS ON)

# Exported cache variables
set(ShyLU_NodeHTS_ENABLE_COMPLEX "OFF")
set(HAVE_SHYLU_NODEHTS_COMPLEX "OFF")

# Include configuration of dependent packages
if (NOT TARGET KokkosKernels::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../KokkosKernels/KokkosKernelsConfig.cmake")
endif()
if (NOT TARGET BLAS::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../../external_packages/BLAS/BLASConfig.cmake")
endif()

# Import ShyLU_NodeHTS targets
include("${CMAKE_CURRENT_LIST_DIR}/ShyLU_NodeHTSTargets.cmake")

# Standard TriBITS-compliant external package variables
set(ShyLU_NodeHTS_IS_TRIBITS_COMPLIANT TRUE)
set(ShyLU_NodeHTS_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(ShyLU_NodeHTS_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(ShyLU_NodeHTS_EXPORTED_PACKAGE_LIBS_NAMES "shylu_nodehts")

foreach(libname IN LISTS ShyLU_NodeHTS_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE ShyLU_NodeHTS::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'ShyLU_NodeHTS::${libname}', or better yet,"
      " 'ShyLU_NodeHTS::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'ShyLU_NodeHTS'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'ShyLU_NodeHTS_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
