# @HEADER
# *****************************************************************************
#            TriBITS: Tribal Build, Integrate, and Test System
#
# Copyright 2013-2016 NTESS and the TriBITS contributors.
# SPDX-License-Identifier: BSD-3-Clause
# *****************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/TpetraTSQR clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "TpetraTSQR requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.23.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/TpetraTSQR build
## ---------------------------------------------------------------------------

set(TpetraTSQR_CXX_COMPILER "/usr/bin/mpicxx")

set(TpetraTSQR_C_COMPILER "/usr/bin/mpicc")

set(TpetraTSQR_Fortran_COMPILER "/usr/bin/mpif90")
# Deprecated!
set(TpetraTSQR_FORTRAN_COMPILER "/usr/bin/mpif90") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/TpetraTSQR build
## ---------------------------------------------------------------------------

## Give the build type
set(TpetraTSQR_CMAKE_BUILD_TYPE "RELEASE")

## Set compiler flags, including those determined by build type
set(TpetraTSQR_CXX_FLAGS [[ -O3 -DNDEBUG]])

set(TpetraTSQR_C_FLAGS [[  -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=3 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection         -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -g -ffile-prefix-map=/build/trilinos/src=/usr/src/debug/trilinos -flto=auto -Wno-incompatible-pointer-types -O3 -DNDEBUG]])

set(TpetraTSQR_Fortran_FLAGS [[ -O3]])
# Deprecated
set(TpetraTSQR_FORTRAN_FLAGS [[ -O3]])

## Extra link flags (e.g., specification of fortran libraries)
set(TpetraTSQR_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(TpetraTSQR_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/usr/lib")
set(TpetraTSQR_BUILD_SHARED_LIBS "ON")

set(TpetraTSQR_LINKER /usr/bin/ld)
set(TpetraTSQR_AR /usr/bin/ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(TpetraTSQR_INSTALL_DIR "/usr")

## List of package libraries
set(TpetraTSQR_LIBRARIES TpetraTSQR::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(TpetraTSQR_MPI_LIBRARIES "")
set(TpetraTSQR_MPI_LIBRARY_DIRS "")
set(TpetraTSQR_MPI_INCLUDE_DIRS "")
set(TpetraTSQR_MPI_EXEC "/usr/bin/mpiexec")
set(TpetraTSQR_MPI_EXEC_MAX_NUMPROCS "4")
set(TpetraTSQR_MPI_EXEC_NUMPROCS_FLAG "-np")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies
set(TpetraTSQR_ENABLE_Teuchos ON)
set(TpetraTSQR_ENABLE_Kokkos ON)
set(TpetraTSQR_ENABLE_KokkosKernels ON)
set(TpetraTSQR_ENABLE_CUBLAS OFF)
set(TpetraTSQR_ENABLE_CUSOLVER OFF)

# Exported cache variables
set(Tpetra_ENABLE_DEBUG "OFF")
set(HAVE_TPETRA_DEBUG "OFF")
set(Tpetra_ENABLE_DEPRECATED_CODE "ON")
set(TPETRA_ENABLE_DEPRECATED_CODE "ON")
set(Tpetra_IGNORE_KOKKOS_COMPATIBILITY "OFF")
set(Tpetra_ENABLE_BLOCKCRS_LITTLEBLOCK_LAYOUTLEFT "OFF")
set(TPETRA_ENABLE_BLOCKCRS_LITTLEBLOCK_LAYOUTLEFT "OFF")
set(Tpetra_ENABLE_CUDA "OFF")
set(TPETRA_ENABLE_CUDA "OFF")
set(Tpetra_INST_SERIAL "ON")
set(HAVE_TPETRA_INST_SERIAL "ON")
set(Tpetra_INST_OPENMP "OFF")
set(HAVE_TPETRA_INST_OPENMP "OFF")
set(Tpetra_INST_PTHREAD "OFF")
set(HAVE_TPETRA_INST_PTHREAD "OFF")
set(Tpetra_INST_CUDA "OFF")
set(HAVE_TPETRA_INST_CUDA "OFF")
set(Tpetra_INST_HIP "OFF")
set(HAVE_TPETRA_INST_HIP "OFF")
set(Tpetra_INST_SYCL "OFF")
set(HAVE_TPETRA_INST_SYCL "OFF")
set(Tpetra_ALLOCATE_IN_SHARED_SPACE "OFF")
set(HAVE_TPETRA_SHARED_ALLOCS "OFF")
set(Tpetra_ASSUME_CUDA_AWARE_MPI "OFF")
set(TPETRA_ASSUME_CUDA_AWARE_MPI "OFF")
set(Tpetra_ASSUME_GPU_AWARE_MPI "OFF")
set(TPETRA_ASSUME_GPU_AWARE_MPI "OFF")
set(Tpetra_INST_INT_INT "OFF")
set(HAVE_TPETRA_INST_INT_INT "OFF")
set(Tpetra_INST_INT_UNSIGNED "OFF")
set(HAVE_TPETRA_INST_INT_UNSIGNED "OFF")
set(Tpetra_INST_INT_LONG_LONG "ON")
set(HAVE_TPETRA_INST_INT_LONG_LONG "ON")
set(Tpetra_INST_INT_LONG "OFF")
set(HAVE_TPETRA_INST_INT_LONG "OFF")
set(Tpetra_INST_INT_UNSIGNED_LONG "OFF")
set(HAVE_TPETRA_INST_INT_UNSIGNED_LONG "OFF")
set(Tpetra_INST_DOUBLE "ON")
set(HAVE_TPETRA_INST_DOUBLE "ON")
set(Tpetra_INST_FLOAT "OFF")
set(HAVE_TPETRA_INST_FLOAT "OFF")
set(Tpetra_INST_LONG_DOUBLE "OFF")
set(HAVE_TPETRA_INST_LONG_DOUBLE "OFF")
set(Tpetra_INST_COMPLEX_DOUBLE "OFF")
set(HAVE_TPETRA_INST_COMPLEX_DOUBLE "OFF")
set(Tpetra_INST_COMPLEX_FLOAT "OFF")
set(HAVE_TPETRA_INST_COMPLEX_FLOAT "OFF")
set(Tpetra_INST_FLOAT128 "OFF")
set(HAVE_TPETRA_INST_FLOAT128 "OFF")
set(Tpetra_INST_QD_REAL "OFF")
set(HAVE_TPETRA_INST_QD_REAL "OFF")
set(Tpetra_INST_DD_REAL "OFF")
set(HAVE_TPETRA_INST_DD_REAL "OFF")
set(Tpetra_ENABLE_Experimental "NO")
set(HAVE_TPETRA_EXPERIMENTAL "OFF")
set(TpetraTSQR_ENABLE_Complex "FALSE")
set(HAVE_TPETRATSQR_COMPLEX "OFF")

# Include configuration of dependent packages
if (NOT TARGET Teuchos::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Teuchos/TeuchosConfig.cmake")
endif()
if (NOT TARGET Kokkos::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Kokkos/KokkosConfig.cmake")
endif()
if (NOT TARGET KokkosKernels::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../KokkosKernels/KokkosKernelsConfig.cmake")
endif()

# Import TpetraTSQR targets
include("${CMAKE_CURRENT_LIST_DIR}/TpetraTSQRTargets.cmake")

# Standard TriBITS-compliant external package variables
set(TpetraTSQR_IS_TRIBITS_COMPLIANT TRUE)
set(TpetraTSQR_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(TpetraTSQR_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(TpetraTSQR_EXPORTED_PACKAGE_LIBS_NAMES "kokkostsqr")

foreach(libname IN LISTS TpetraTSQR_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE TpetraTSQR::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'TpetraTSQR::${libname}', or better yet,"
      " 'TpetraTSQR::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'TpetraTSQR'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'TpetraTSQR_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
